+ Reply to Thread
Results 1 to 4 of 4
  1. #1
    Forum Newbie
    Discipline
    Construction
    Using
    AutoCAD 2010
    Join Date
    Feb 2017
    Posts
    5

    Default [Plz Help] how to make new object in autocad!!!

    Registered forum members do not see this ad.

    i have 2 picture:
    pic N.1: i select object and press Ctrl +1 ( tad property) show is : "No Selection" ????
    pic N.2 : i copy it and use command Explore -----> in tab property it is : Polyline
    how to make it???by .net or VBA
    i know a little .net and Vba, can i use to make same thing???
    Tks a lot
    P/s: sorry about my English
    Attached Images

  2. #2
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,821

    Default

    An example for you in lisp it uses the left right up down to draw a pline

    eg R100 U100 L100 C draws a 100 box

    Code:
    ; draw a pline by direction Up Down left or Right use upper or lowercase
    ; by Alan H dec 2015
    ; this version is a metric/decimal version
    ; version 2 depending on request will be a imperial version
    ; 1'8 1/4" input d1.8.25 start with 1.8 = 1'8" then add second fraction ver 3
    
    ; how to use u123.45 D34.57 R102.6 l53
    
    (defun ah:left ( / pt2)
    (setq pt2 (polar pt pi (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:up ( / pt2)
    (setq pt2 (polar pt (/ pi 2.0) (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:right ( / pt2)
    (setq pt2 (polar pt 0.0 (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:down ( / pt2)
    (setq pt2 (polar pt (* 1.5 pi) (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun C:ahpliner ( / pt ans)
    
    (command "_pline")
    (command (setq pt (getpoint "Pick start point - Enter or C to finish")))
    (while (= (getvar "cmdactive") 1 ) 
    (setq ans (getstring "Enter L123 U456 R67 D78"))
    (cond ((= ans "")(command ""))
          ((= "L"(strcase (substr ans 1 1)))(ah:left))
          ((= "U"(strcase (substr ans 1 1)))(ah:up))
          ((= "D"(strcase (substr ans 1 1)))(ah:down))
          ((= "R"(strcase (substr ans 1 1)))(ah:right))
          ((= "C"(strcase (substr ans 1 1)))(command "close"))
    ) ;cond
    ) ; while
    )
    A man who never made mistakes never made anything

  3. #3
    Forum Newbie
    Discipline
    Construction
    Using
    AutoCAD 2010
    Join Date
    Feb 2017
    Posts
    5

    Default

    tks BIGAL.
    but it's wrong i can draw pline by .net very simple
    i mean make a pline and pline's property show is "no selection"

  4. #4
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Occupation
    Survey Crew Chief / Civil Designer
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2017
    Join Date
    Feb 2010
    Location
    North Dakota
    Posts
    374

    Default

    Registered forum members do not see this ad.

    It is just a bug when you have something selected and you open the properties palette and it says "no selection". You cannot make a pline's property show "no selection".

Similar Threads

  1. Make object impenetrable
    By rclose in forum Autodesk Inventor
    Replies: 2
    Last Post: 12th Oct 2015, 02:35 pm
  2. make one object from many
    By cete in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 4
    Last Post: 20th Jun 2009, 03:13 pm
  3. How to make an object opaque?
    By frostrap in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 4
    Last Post: 5th May 2008, 01:43 pm
  4. how to make a pop up for an object
    By geoXXL1968 in forum AutoCAD Beginners' Area
    Replies: 1
    Last Post: 10th Jul 2006, 01:55 am
  5. make an object bigger with same dim.
    By ralph james in forum AutoCAD Drawing Management & Output
    Replies: 5
    Last Post: 8th Nov 2002, 11:46 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts